#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

%define kmod_name               st-driver
%define kmod_driver_version     1.73.0
%define kmod_rpm_release        1
%define kmod_kernel_version     2.6.32-279.5.2.el6
%define stversion 20101219

Name: st-driver
License: GPL
Group: System/Kernel
Summary: Replacement driver for st (SCSI Tape).
Version: 1.1.%{stversion}
Release: 5%{?dist}
Packager: Thomas.Oulevey@cern.ch
Vendor: CERN, http://cern.ch/linux
Source0: st-%{stversion}.tar.gz
#Source1: %{kmod_name}.files
Source2: %{kmod_name}.conf
Source3: find-requires.ksyms
Source4: kmodtool-%{kmod_name}
Patch0: mtweofi.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExclusiveArch:  i686 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: %kernel_module_package_buildreqs

%kernel_module_package -s %{SOURCE4} default

# Disable the building of the debug package(s).
%define debug_package %{nil}

%description
Replacement driver for st (SCSI tape).
Rebase on latest version available in linux.

This driver replaces in-kernel %{name}  
by its updated version: %{version}

%prep
%setup -n st-%{stversion}/
%patch0 -p1

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   # update symvers file if existing
   symvers=source/Module.symvers-%{_target_cpu}
   if [ -e $symvers ]; then
   	cp $symvers obj/$flavor/Module.symvers
   fi
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do 
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
   # Cleanup unnecessary kernel-generated module dependency files.
   find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf

%clean
rm -rf %{buildroot}/*

%files
%defattr(-,root,root,-)
# could we automagically add pci.updates to hwdata , please ?
#%doc source/st.txt source/mtio.h source/patches source/README
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf

%changelog
* Mon Feb 13 2013  Thomas Oulevey <thomas.oulevey@cern.ch> 1.1.20101219-5
- Fix depmod.d/st-driver.conf bug 
- removed empty debuginfo package
- fix for BZ #842038
* Mon Oct 15 2012  Thomas Oulevey <thomas.oulevey@cern.ch> 1.1.20101219-2
- Rebase on kernel 2.6.32-279.5.2.el6 / 20101219
* Fri Mar 26 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> 1.1.20070203-1
- added MTWEOFI
* Tue Jul 21 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- fixed bug in depmod.d/st-driver.conf
* Mon Oct 06 2008 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial package 
- packaging changed to DUP: http://driverupdateprogram.com/
